.newsletter-container {
width: 100%;
max-width: 800px;
margin: 0px auto;
padding: 0px 0px 80px 0px;
border-bottom: 1px solid #C0C7C9;


}

.newsletter-container h2 {
  margin-bottom: 10px;
  font-size: 36px;
  color: #7bdbb5;
  font-family: "Chau Philomene One", sans-serif;
  font-weight: 400;
}

.confirmation-box{
  display:none;

  margin-top:30px;
  padding:25px;
  border-radius:12px;
  background:#0f1c21;
  color:white;
  line-height:1.5;
}

.confirmation-box button{
  margin-top:20px;
  border:none;
  border-radius:24px;
  padding:10px 20px;
  background:#BC002F !important;
  color:white;
  cursor:pointer;
  width: 100%;
}

.newsletter-form {
  display: flex;

  flex-direction: column;
  margin-top: 24px;
  width: 100% !important;
}

.input-wrapper {
  position: relative;
  width: 100%;


}

.input-wrapper .iconAT {
  position: absolute;
  left: 12px;
  top: 10%;
  color: #888;
  font-size: 16px;
}

.newsletter-form input {

  padding: 12px 15px 12px 0px;
  border: 1px solid #ccc;
  border-radius: 20px !important;
  font-size: 14px;
  transition: border 0.3s, box-shadow 0.3s;
}

.brevo-info{

  display:flex;
  gap:16px;
  align-items:flex-start;
  font-size:14px;
  color:#cfd6d8;
  line-height:1.4;
}

.brevo-info a{
  color:#cfd6d8;
  text-decoration:underline;
}

.brevo-logo img{
  width:55px;
  height:auto;
  flex-shrink:0;
  opacity:0.9;
}

.newsletter-form input[type="text"], .newsletter-form input[type="email"], .newsletter-form input[type="date"] {
  padding-left: 35px;
}

.newsletter-form input:focus {
  outline: none;
  border-color: #007bff;
  box-shadow: 0 0 8px rgba(0, 123, 255, 0.3);
}

.checkbox-wrapper {

  font-size: 16px;
  color: white;
  display: flex;
  gap: 10px;
  align-items: flex-start;
  line-height: 1.4;
}

.checkbox-wrapper input[type="checkbox"] {
    width: 20px;
  margin-top: 3px;
  flex-shrink: 0;
}
.newsletter-form button {

  border: none;
  border-radius: 24px;
  font-size: 18px;
  color: #fff;
  background: #BC002F !important;
  cursor: pointer;
  transition: all 0.3s, transform 0.2s;
}

.newsletter-form button:hover {
  transform: translateY(-2px);
}
.hidden-fields {
  display: flex;
  flex-direction: column;
  gap: 30px;

  max-height: 0;
  opacity: 0;
  overflow: hidden;

  transform: translateY(-10px);
  transition: all 0.4s ease;

}

.hidden-fields.visible {
  max-height: 1000px;
  opacity: 1;
  transform: translateY(0);
  transition: 
    max-height 0.8s ease,
    opacity 0.3s ease ,
    transform 0.3s ease;
    padding-top: 30px;

}

.success-message {
  display: none;
  margin-top: 15px;
  color: #28a745;
  font-weight: bold;
  font-size: 14px;
}

/* MOBILE */

@media (max-width: 768px) {

.newsletter-container {
  padding: 0 20px 0px 20px;
}

.newsletter-form {
  gap: 16px;
}

.input-wrapper {
  max-width: 100%;
}

.newsletter-form input {
  font-size: 16px;
}

.newsletter-form button {
  max-width: 100%;
  font-size: 16px;
  border-radius: 30px;
  margin-bottom: 5px;
  background: #BC002F !important;
}

}

.uk-wrapper {


 background: rgba(255,255,255,0.1);
 padding: 6px;
}

.uk-header {
  display: flex;
  gap: 16px;
  align-items: center;
  margin-bottom: 6px;
  border-bottom: 1px solid white;
  padding: 4px 2px;
  background: rgba(255,255,255,0.1);

}

.uk-header .label {
  font-size: 20px;
  color: #cfd6d8;
}

.all-btn {
  font-size: 14px !important;
  padding: 3px 8px;
  border-radius: 12px;
  border: 1px solid #2a3a40;
  background: transparent;
  color: #cfd6d8;
  cursor: pointer;
  transition: all 0.2s ease;
}

.all-btn.active {
  background: #BC002F;
  color: white;
  border-color: #BC002F;
}

.uk-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 6px;
}

.uk-card {
  padding: 4px 8px;
  border-radius: 14px;
  font-size: 11px;
  background: rgba(255,255,255,0.05);
  color: #cfd6d8;
  cursor: pointer;
}

.uk-card.selected {
  background: #BC002F;
  color: white;
}
